Bug 1279289 - Multiple "None StartEvent"s should be validated by BPMN2 editor in JBDS
Multiple "None StartEvent"s should be validated by BPMN2 editor in JBDS
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 22:23 EST by ksuzumur
Modified: 2016-08-16 02:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sub-process starting with None event (9.57 KB, image/png)
2016-08-15 23:39 EDT, karl schindler
no flags Details

  None (edit)
Description ksuzumur 2015-11-08 22:23:09 EST
Description of problem:
Multiple "None StartEvent"s should be validated by BPMN2 editor in JBDS.

BPMN 2 Diagram Editor can allow to input multiple None StartEvents. But the same bpmn file will be validated in the business-central with the following error.

------------------
10:24:43,163 ERROR [stderr] (EJB default - 7) java.lang.IllegalArgumentException: A RuleFlowProcess cannot have more than one start node!
10:24:43,164 ERROR [stderr] (EJB default - 7) 	at org.jbpm.ruleflow.core.RuleFlowProcess$WorkflowProcessNodeContainer.validateAddNode(RuleFlowProcess.java:155)
10:24:43,164 ERROR [stderr] (EJB default - 7) 	at org.jbpm.workflow.core.impl.NodeContainerImpl.addNode(NodeContainerImpl.java:42)
10:24:43,164 ERROR [stderr] (EJB default - 7) 	at org.jbpm.workflow.core.impl.WorkflowProcessImpl.addNode(WorkflowProcessImpl.java:71)
10:24:43,164 ERROR [stderr] (EJB default - 7) 	at org.jbpm.bpmn2.xml.AbstractNodeHandler.end(AbstractNodeHandler.java:136)
10:24:43,164 ERROR [stderr] (EJB default - 7) 	at org.jbpm.bpmn2.xml.StartEventHandler.end(StartEventHandler.java:190)
10:24:43,165 ERROR [stderr] (EJB default - 7) 	at org.drools.core.xml.ExtensibleXmlParser.endElement(ExtensibleXmlParser.java:439)
10:24:43,165 ERROR [stderr] (EJB default - 7) 	at org.apache.xerces.parsers.AbstractSAXParser.endElement(AbstractSAXParser.java:596)
10:24:43,165 ERROR [stderr] (EJB default - 7) 	at org.apache.xerces.impl.xs.XMLSchemaValidator.endElement(XMLSchemaValidator.java:834)
------------------


Version-Release number of selected component (if applicable):
BPMN 6.1
JBDS 9 with BPMN2 Modeler 1.2.1.Final
JBDS 8 with BPMN2 Modeler 1.1.3.Final

How reproducible:
To set multiple StartEvents(none) in BPMN modeler.

Steps to Reproduce:
1.set StartEvent -> script Task -> EndEvent process
2.set one more in the same file
3.save the file

Actual results:
There is no error in JBDS.

Expected results:
There are any error or warning like a business central.

Additional info:
Comment 2 Robert (Bob) Brodt 2016-01-21 12:51:45 EST
Fixed in 1.2.3 (Mars) and 1.3.0 (Neon) BPMN2 Modeler
Comment 4 Jozef Marko 2016-03-03 08:46:43 EST
Verified on:
JBDSIS 9.0.0.Beta1, JBTIS 4.3.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002
Comment 5 karl schindler 2016-08-15 23:38:44 EDT
unfortunately it is not fixed
get this error on Neon:

  BPMN2 Modeler - Diagram Editor	1.3.0.Final-v20160602-2145-B47	org.eclipse.bpmn2.modeler.feature.group	Eclipse.org
  BPMN2 Modeler - Examples	1.3.0.Final-v20160602-2145-B47	org.eclipse.bpmn2.modeler.examples.feature.group	Eclipse.org
  BPMN2 Modeler - jBPM Runtime Extension Feature	1.3.0.Final-v20160602-2145-B47	org.eclipse.bpmn2.modeler.runtime.jboss.feature.group	JBoss by Red Hat

As per BPMN2 definition a sub-process always starts with a None Start Event.
Comment 6 karl schindler 2016-08-15 23:39 EDT
Created attachment 1191051 [details]
sub-process starting with None event
Comment 7 Jozef Marko 2016-08-16 02:57:47 EDT
Hello Karl.

Thanks for your contribution. Just let me clarify two things.

1. Your problem is a little bit different form the original one. I suggest to file it into separate bugzilla and I suggest to attach source file of the process or at least similar/simplified process to keep your business private.

2. Red Hat bugzilla project serves for issues present in official tooling supported by Red Hat. You have problems with Modeler 1.3.0. Red Hat support for this version of modeler is still in the preparation phase. But never minds. You can file your issue into community eclipse bugzilla [1].

[1]
https://bugs.eclipse.org/bugs/enter_bug.cgi?product=BPMN2Modeler

Note You need to log in before you can comment on or make changes to this bug.